Jump to content


Photo

Xenserver 7.1 and LSI MegaRAID SAS 9240-4i

Started by Mike Maddison , 20 April 2017 - 11:43 PM
8 replies to this topic

Mike Maddison Members

Mike Maddison
  • 154 posts

Posted 20 April 2017 - 11:43 PM

Greetings,

 

I was checking the Hardware Compatibility List and noticed that the LSI MegaRAID SAS 9240-4i is again listed as supported for XenServer 7.1
9240-LSI-XS71.PNG

 

When we tried to install XenServer 7.1 with this card the installer does not recognize any storage.  Is there some additional steps needed now or should this be supported like it was in 6.2 where the driver was included and worked fine from the base installer?

Thanks.



Alan Lantz Members

Alan Lantz
  • 6,985 posts

Posted 21 April 2017 - 01:54 AM

Looks like you will need to grab that driver from the archive downloads and install it on XenServer. 

 

--Alan--



Mike Maddison Members

Mike Maddison
  • 154 posts

Posted 21 April 2017 - 04:25 PM

I'm clicking all over the site Alan and I can't figure out where this driver is hiding.  Do you have a link?

Thanks.



Alan Lantz Members

Alan Lantz
  • 6,985 posts

Posted 21 April 2017 - 04:36 PM

https://docs.broadcom.com/docs/MR_LINUX_DRIVER_6.11-06.811.02.00-2

 

On the download site there was a current and archive link that I clicked to get the old driver.

 

 

--Alan--



Mike Maddison Members

Mike Maddison
  • 154 posts

Posted 21 April 2017 - 04:38 PM

I see.  I thought you meant Citrix had an archive area where they had drivers for supported hardware.  Thanks!



Alan Lantz Members

Alan Lantz
  • 6,985 posts

Posted 21 April 2017 - 05:46 PM

No problem, hopefully that will get you going.

 

--Alan--



Mike Maddison Members

Mike Maddison
  • 154 posts

Posted 21 April 2017 - 06:05 PM

Ok.  I don't understand how this works.  When the HCL said in 6.2 that it supported the 9240 MegaRaid card, I didn't have to load in any drivers.  The installer disk had it and it worked out of the box.  Now the HCL says 7.1 supports the card again but it doesn't recognize the card or the storage it presents.  I can't find any drivers that list as being for 7.1 and all attempts to try and load any of the older drivers has the installer saying it can't find a base installation repository.  Feels like I'm back to 1998.



Alan Lantz Members

Alan Lantz
  • 6,985 posts

Posted 21 April 2017 - 07:12 PM

Well, even though the HCL says to use 6.811 I would download and try to use 6.813 since they specifically say they support 6.5 which I am pretty sure is when they switched to the 64 bit dom0. Hopefully that will work. Yes, very irritating that its not more clear on what is needed to get the card to work.

 

--Alan--



Mike Maddison Members

Mike Maddison
  • 154 posts

Posted 21 April 2017 - 08:50 PM

I'm trying 6.813 and I'm not getting anywhere.  I'm installing via IPMI.  I tried creating an ISO of all the extracted files from the driver download.  I pressed F9 during install and mounted the ISO.  The installer cannot find what it needs.  I tried posting the extracted folders to a web directory and gave it access through an IP and that doesn't work either. Unfortunately this is taking too much of my time so I'll have to move on for today.